"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.initMappingTemplate = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const initMappingTemplate = (ctx) => {
    const substitutions = {
        GRAPHQL_API_ENDPOINT: ctx.api.graphqlUrl,
    };
    let resolver = fs_1.default.readFileSync(path_1.default.join(__dirname, 'init-resolver-fn.template.js'), 'utf8');
    Object.entries(substitutions).forEach(([key, value]) => {
        const replaced = resolver.replace(new RegExp(`\\[\\[${key}\\]\\]`, 'g'), value);
        resolver = replaced;
    });
    return graphql_transformer_core_1.MappingTemplate.inlineTemplateFromString(resolver);
};
exports.initMappingTemplate = initMappingTemplate;
//# sourceMappingURL=init-resolver.js.map