"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.verifySessionOwnerAssistantResponseMappingTemplate = exports.verifySessionOwnerSendMessageMappingTemplate = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const verifySessionOwnerSendMessageMappingTemplate = (config) => {
    const substitutions = {
        CONVERSATION_ID_PARENT: 'ctx.args',
    };
    const templateName = `Mutation.${config.field.name.value}.verify-session-owner.js`;
    return verifySessionOwnerMappingTemplate(templateName, substitutions);
};
exports.verifySessionOwnerSendMessageMappingTemplate = verifySessionOwnerSendMessageMappingTemplate;
const verifySessionOwnerAssistantResponseMappingTemplate = (config) => {
    const substitutions = {
        CONVERSATION_ID_PARENT: 'ctx.args.input',
    };
    const templateName = `Mutation.${config.field.name.value}AssistantResponse.verify-session-owner.js`;
    return verifySessionOwnerMappingTemplate(templateName, substitutions);
};
exports.verifySessionOwnerAssistantResponseMappingTemplate = verifySessionOwnerAssistantResponseMappingTemplate;
const verifySessionOwnerMappingTemplate = (name, substitute) => {
    let resolver = fs_1.default.readFileSync(path_1.default.join(__dirname, 'verify-session-owner-resolver-fn.template.js'), 'utf8');
    Object.entries(substitute).forEach(([key, value]) => {
        const replaced = resolver.replace(new RegExp(`\\[\\[${key}\\]\\]`, 'g'), value);
        resolver = replaced;
    });
    return graphql_transformer_core_1.MappingTemplate.s3MappingFunctionCodeFromString(resolver, name);
};
//# sourceMappingURL=verify-session-owner-resolver.js.map