"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeMessageToTableMappingTemplate = void 0;
const graphql_transformer_core_1 = require("@aws-amplify/graphql-transformer-core");
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const graphql_transformer_common_1 = require("graphql-transformer-common");
const writeMessageToTableMappingTemplate = (config) => {
    const fieldName = config.field.name.value;
    const substitutions = {
        CONVERSATION_MESSAGE_TYPE_NAME: `ConversationMessage${(0, graphql_transformer_common_1.toUpper)(fieldName)}`,
    };
    let resolver = fs_1.default.readFileSync(path_1.default.join(__dirname, 'write-message-to-table-resolver-fn.template.js'), 'utf8');
    Object.entries(substitutions).forEach(([key, value]) => {
        const replaced = resolver.replace(new RegExp(`\\[\\[${key}\\]\\]`, 'g'), value);
        resolver = replaced;
    });
    const templateName = `Mutation.${fieldName}.write-message-to-table.js`;
    return graphql_transformer_core_1.MappingTemplate.s3MappingFunctionCodeFromString(resolver, templateName);
};
exports.writeMessageToTableMappingTemplate = writeMessageToTableMappingTemplate;
//# sourceMappingURL=write-message-to-table-resolver.js.map