import { TransformerContextProvider } from '@aws-amplify/graphql-transformer-interfaces';
import { ConversationDirectiveConfiguration } from '../grapqhl-conversation-transformer';
import * as cdk from 'aws-cdk-lib';
export declare class ConversationResolverGenerator {
    private readonly functionNameMap?;
    constructor(functionNameMap?: Record<string, cdk.aws_lambda.IFunction> | undefined);
    generateResolvers(directives: ConversationDirectiveConfiguration[], ctx: TransformerContextProvider): void;
    private processToolsForDirective;
    private generateResolversForDirective;
    private createFunctionStack;
    private setupFunctionDataSource;
    private setupExistingFunctionDataSource;
    private setupDefaultConversationHandler;
    private createConversationPipelineResolver;
    private addPipelineResolverFunctions;
    private createAssistantResponseResolver;
    private createAssistantResponseSubscriptionResolver;
    private addLambdaDataSource;
    private addInitSlotToListMessagesPipeline;
    private setupMessageTableIndex;
    private addGlobalSecondaryIndex;
}
//# sourceMappingURL=conversation-resolver-generator.d.ts.map